<mat-form-field>
  <mat-label>{{ label }}</mat-label>
  <input [type]="type" matInput [placeholder]="placeholder" [value]="value" (keyup)="inputChanged($event)" />
  <mat-icon matSuffix *ngIf="icon" (click)="iconEvent()">{{ icon }}</mat-icon>
</mat-form-field>
